Bug 123252 - USB bus stops responding and radeon xv problems after APM suspend/resume
USB bus stops responding and radeon xv problems after APM suspend/resume
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-14 16:28 EDT by Matt Britt
Modified: 2015-01-04 17:05 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:24:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The patch to /etc/sysconfig/apmd RESUMEUSB should probably be set to "no" by default. (173 bytes, patch)
2004-05-14 17:32 EDT, Matt Britt
no flags Details | Diff
Patch for /etc/sysconfig/apm-scripts/apmscript to remove and re-add all usb modules if necessary for a suspend/resume. (517 bytes, patch)
2004-05-14 17:33 EDT, Matt Britt
no flags Details | Diff
lspci -vxxx before suspend (18.87 KB, patch)
2004-05-15 19:55 EDT, Matt Britt
no flags Details | Diff
lspci -vxxx after resume (18.87 KB, patch)
2004-05-15 19:56 EDT, Matt Britt
no flags Details | Diff
patch to /etc/sysconfig/apm-scripts/apmscript that adds support for removing/re-adding USB modules (517 bytes, patch)
2004-05-15 20:00 EDT, Matt Britt
no flags Details | Diff

  None (edit)
Description Matt Britt 2004-05-14 16:28:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040124 Galeon/1.3.12

Description of problem:
On my Thinkpad R40, issuing a suspend and resume (apm -s) causes the
USB bus to become totally unresponsive.  By unresponsive, I mean none
of the devices plugged into it will respond any longer and no new
devices will even be recognized (i.e. dmesg reports absolutely nothing
when a new device is plugged in).  Removing and reloading uhci_hcd and
echi_hcd does not fix this problem.  From reading kernel mailing
lists, I suspect this has something to do with USB devices not being
removed before a suspend, making it impossible to use USB after the
root hub has lost power.

Also after a suspend, any programs that use the xv device to write to
the screen won't be able to (example, xine using the xv device
produces only sound and a blank video window).  Restarting xorg fixes
this.

Version-Release number of selected component (if applicable):
2.6.5-1.327, 2.6.5-1.358

How reproducible:
Always

Steps to Reproduce:
1. Put laptop into suspend
2. Try to use USB device or a program that uses the xv driver
3. Notice dmesg doesn't echo ANY USB-related events

Actual Results:  USB devices should continue to work, the xv driver
should work without having to restart X.

Expected Results:  USB devices (including root hub) don't work, xv
driver is unresponsive.

Additional info:
Comment 1 Matt Britt 2004-05-14 16:30:34 EDT
A side note, I am using APM rather than ACPI because almost no power
management functions work with ACPI on this machine.
Comment 2 Matt Britt 2004-05-14 17:32:15 EDT
Created attachment 100236 [details]
The patch to /etc/sysconfig/apmd  RESUMEUSB should probably be set to "no" by default.
Comment 3 Matt Britt 2004-05-14 17:33:11 EDT
Created attachment 100237 [details]
Patch for /etc/sysconfig/apm-scripts/apmscript to remove and re-add all usb modules if necessary for a suspend/resume.
Comment 4 Matt Britt 2004-05-14 17:34:48 EDT
Okay, I found out that if I remove all usb modules before the suspend,
and then modprobe them again after the suspend, everything is okay...
 I made the appropriate changes to /etc/sysconfig/apmd and
/etc/sysconfig/apm-scripts/apmscript.  Attached are the patches that
allow apmd to remove and re-add USB devices on suspend/resume.
Comment 5 Arjan van de Ven 2004-05-15 03:16:10 EDT
an interesting bit of info would be to get lspci -vxxx output before
and after the suspend (in the broken setup) to see if there is part of
that that doesn't get restored (and if so we can probably do that by
hand :)
Comment 6 Matt Britt 2004-05-15 19:55:15 EDT
Created attachment 100248 [details]
lspci -vxxx before suspend
Comment 7 Matt Britt 2004-05-15 19:56:25 EDT
Created attachment 100249 [details]
lspci -vxxx after resume
Comment 8 Matt Britt 2004-05-15 20:00:27 EDT
Created attachment 100250 [details]
patch to /etc/sysconfig/apm-scripts/apmscript that adds support for removing/re-adding USB modules

This fixes a stupid typo in the first one
Comment 9 Arjan van de Ven 2004-05-16 03:24:48 EDT
from your lspci's:

-       Flags: bus master, medium devsel, latency 0, IRQ 11
+       Flags: medium devsel, IRQ 11

ok that is very informative; the bios disables bus master on the USB
controller (and there are some other changes too). This sounds like
something we can work around by restoring the busmaster status of
devices inside the kernel.
Comment 10 Dave Jones 2004-12-07 01:46:25 EST
any improvement with the 2.6.9 kernel ?
Comment 11 Dave Jones 2005-04-16 00:24:11 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.